import request from '/@/utils/request';

export function getAvailableDevicesByDeviceType(params: string) {
	return request({
		url: '/comm/service/device/info/getAvailableDevicesByDeviceType',
		method: 'post',
        headers: {
            'Content-Type': 'application/x-www-form-urlencoded'
        },
		params,
	});
}
export function getNotifyMessages(params) {
	return request({
		url: '/user/info/getNotifyMessages',
		method: 'post',
        headers: {
            'Content-Type': 'application/x-www-form-urlencoded'
        },
		params
	});
}
export function makeAsRead(params:object) {
	return request({
		url: '/user/info/makeAsRead',
		method: 'post',
        headers: {
            'Content-Type': 'application/x-www-form-urlencoded'
        },
		params
	});
}
export function listCurrentHemoMeds(params:object) {
	return request({
		url: '/common/listCurrentHemoMeds',
		method: 'post',
        headers: {
            'Content-Type': 'application/x-www-form-urlencoded'
        },
		params
	});
}
export function getOSSTokenInfo(params:object) {
	return request({
		url: '/common/getOSSTokenInfo',
		method: 'post',
        headers: {
            'Content-Type': 'application/x-www-form-urlencoded'
        },
		params
	});
}


export function FileAdd(data:object){
	return request({
		url: '/lcd/media/files/add',
		method: 'post',
		data
	})
}
export function FileUpdate(params: string) {
	return request({
		url: '/lcd/media/files/update',
		method: 'post',
		data: params,
	});
}
export function FileDeleteId(params: string) {
	return request({
		url: '/lcd/media/files/delete',
		method: 'post',
        headers: {
            'Content-Type': 'application/x-www-form-urlencoded'
        },
		data: params,
	});
}
export function FileList(params: object) {
	return request({
		url: '/lcd/media/files/list',
		method: 'post',
        headers: {
            'Content-Type': 'application/x-www-form-urlencoded'
        },
		params,
	});
}
export function listCurrentLcdMedia(params: any) {
	return request({
		url: '/common/listCurrentLcdMedia',
		method: 'post',
        headers: {
            'Content-Type': 'application/x-www-form-urlencoded'
        },
		params,
	});
}export function outputLisResultForclient(params: string) {
	return request({
		url: '/common/outputLisResultForClient',
		method: 'post',
		responseType: 'blob',
		params,
	});
}